abinit-8.8.4 under Windows 10

HPC, IBM, Mac OS, Windows, ...

Moderators: jbeuken, gmatteo, Jordan

Forum rules
Please have a look at ~abinit/doc/config/build-config.ac in the source package for detailed and up-to-date information about the configuration of Abinit builds.
For a video explanation on how to build Abinit for Linux, please go to: http://www.youtube.com/watch?v=DppLQ-KQA68.
IMPORTANT: when an answer solves your problem, please check the little green button on its upper-right corner to accept it.

abinit-8.8.4 under Windows 10

Postby rajaraman » Thu Sep 27, 2018 7:46 pm

Here is the successful install of abinit-8.8.4 under Windows 10

Ubuntu linux install

go to Programs & features > turn windows features on or off
activate the "windows subsytem for linux"

from microsoft store
install ubuntu 18.04 app

ubuntu bash window allows all command line operations.
local hard disks are already mounted
/mnt/c/...
/mnt/d/...

no GUI.
but there are work arounds discussed in internet

nano & VIM work fine

If you are behind proxy
-----------------------------------
proxy config for apt

edit apt.conf
nano /etc/apt/apt.conf

Add this line with your user id and password

Acquire::http::Proxy "http://username:password@proxy.xxxx.yy:portno";
--------------------------------

sudo apt-get update
sudo apt-get install make
sudo apt-get install python
sudo apt-get install gfortran
sudo apt-get install libatlas-base-dev liblapack-dev libblas-dev
sudo apt-get install libfftw3

---------------------
openmpi
---------------------
sudo apt-get update
sudo apt-get install openmpi-bin
sudo apt-get install openmpi-common
sudo apt-get install libopenmpi2
sudo apt-get install libopenmpi-dev

(some installs may be redundant. but no harm)

-----------------------------
abinit-8.8.4
-------------------------------
Download tar file and do usual install

for abinit parallel, this config worked (but it did not install atompaw even with fallback option. anyway it can be compiled later for generating PAW potentials)

../configure --with-dft-flavor="libxc+atompaw" --enable-mpi FC=/usr/bin/mpif90 CC=/usr/bin/mpif90 --with-mpi-incs="-I/usr/include" --with-mpi-libs="-L/usr/lib -lmpi"
make mj4
make check
sudo make install
---------------------------

-rajaraman
rajaraman
 
Posts: 4
Joined: Sat Sep 15, 2018 7:08 pm

Return to Platform specific questions

Who is online

Users browsing this forum: No registered users and 1 guest